std::unary_negate< _Predicate > Class Template Reference
Utilities » Function Objects » Negators
Inheritance diagram for std::unary_negate< _Predicate >:
[legend]

## Public Types

typedef _Predicate::argument_type | argument_type
typedef bool | result_type

## Public Member Functions

_GLIBCXX14_CONSTEXPR | unary_negate (const _Predicate &__x)
_GLIBCXX14_CONSTEXPR bool | operator() (const typename _Predicate::argument_type &__x) const

## Protected Attributes

_Predicate | _M_pred

## Detailed Description

### template<typename _Predicate>
class std::unary_negate< _Predicate >

One of the negation functors.

Definition at line 1003 of file stl_function.h.

## Member Typedef Documentation

## argument_type

typedef _Predicate::argument_type std::unary_function< _Predicate::argument_type , bool >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 108 of file stl_function.h.

## result_type

typedef bool std::unary_function< _Predicate::argument_type , bool >::result_type

inherited

`result_type` is the return type

Definition at line 111 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h